Multivariate Pattern Analysis in Python

# mvpa2.misc.support.MapOverlap

class `mvpa2.misc.support.``MapOverlap`(overlap_threshold=1.0)

  Compute some overlap stats from a sequence of binary maps.

  When called with a sequence of binary maps (e.g. lists or arrays) the fraction of mask elements that are non-zero in a customizable proportion of the maps is returned. By default this threshold is set to 1.0, i.e. such an element has to be non-zero in all maps.

  Three additional maps (same size as original) are computed:

  > - overlap_map: binary map which is non-zero for each overlapping element.
  > - spread_map: binary map which is non-zero for each element that is
  >     non-zero in any map, but does not exceed the overlap threshold.
  > - ovstats_map: map of float with the raw elementwise fraction of overlap.

  All maps are available via class members.

  Methods

  `__call__`(maps) | Returns fraction of overlapping elements.

  Nothing to be seen here.

  Methods

  `__call__`(maps) | Returns fraction of overlapping elements.